View Issue Details

IDProjectCategoryView StatusLast Update
0001630SymmetricDSBugpublic2014-03-16 10:31
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.5.19Fixed in Version3.5.19 
Summary0001630: SQL Server bulk loader extra spaces causes truncation error
DescriptionThe SQL Server bulk loader gets a truncation error for size restricted columns like CHAR(1) columns. It writes a CSV file and uses BULK INSERT to load the file to the database. The CSV file has extra spaces between fields. On most fields, the spaces are ignored, like an integer or varchar, but on a char field, the spacing is preserved, and the size of the column can be exceeded, causing the error.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 2aa0e73a

2014-03-05 10:49:21

erilong

Details Diff
0001630: SQL Server bulk loader extra spaces causes truncation error
0001630
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvUtils.java Diff File
mod - symmetric-mssql/src/main/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-03-05 08:51 elong New Issue
2014-03-05 08:51 elong Status new => assigned
2014-03-05 08:51 elong Assigned To => elong
2014-03-05 10:49 elong Status assigned => resolved
2014-03-05 10:49 elong Fixed in Version => 3.5.19
2014-03-05 10:49 elong Resolution open => fixed
2014-03-05 11:00 Changeset attached => SymmetricDS 3.5 r8025
2014-03-05 11:00 Changeset attached => SymmetricDS trunk r8026
2014-03-07 09:39 admin Target Version => 3.5.19
2014-03-16 10:31 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 2aa0e73a